import request from '@/api/request.js'

//我的消息列表
function newsList(data){
	return request({
		url: '/api/ajax/mymessage',
		method: 'post',
		data
	})
}
// 阅读消息
function msgRead(data){
	return request({
		url: '/api/Ajax/msgRead',
		method: 'get',
		data
	})
}
function payinfo(data){
	return request({
		url: '/api/article/payinfo',
		method: 'post',
		data
	})
}

//认购记录
function buyOrderList(data){
	return request({
		url: '/api/Ajax/buyOrderList',
		method: 'get',
		data
	})
}

//我的奖品
function myprize(data){
	return request({
		url: '/api/Ajax/myprize',
		method: 'get',
		data
	})
}

//合同数据
function contract(data){
	return request({
		url: '/api/Ajax/contractList',
		method: 'get',
		data
	})
}

//保单数据
function insurance(data){
	return request({
		url: '/api/Ajax/insuranceList',
		method: 'get',
		data
	})
}

//绑定银行卡
function bindtxinfo(data){
	return request({
		url: '/api/vip/bindtxinfo',
		method: 'post',
		data
	})
}

//优惠卷
function mycard(data){
	return request({
		url: '/api/Ajax/mycard',
		method: 'get',
		data
	})
}

//关于我们
function about(data){
	return request({
		url: '/api/article/aboutindex2',
		method: 'get',
		data
	})
}

//导报详情
function articledetail(data){
	return request({
		url: '/api/article/articledetail',
		method: 'get',
		data
	})
}

//分销中心主页
function fxindex(data){
	return request({
		url: '/api/fx/index',
		method: 'get',
		data
	})
}

//一级用户 && 二级用户
function myuser(data){
	return request({
		url: '/api/Fx/myuser',
		method: 'get',
		data
	})
}

//推广二维码
function myqrcode(data){
	return request({
		url: '/api/fx/myqrcode',
		method: 'get',
		data
	})
}

//账号设置
function vipIndex(data){
	return request({
		url: '/api/vip/index',
		method: 'get',
		data
	})
}

//会员信息
function vipinfo(data){
	return request({
		url: '/api/vip/vipinfo',
		method: 'get',
		data
	})
}

//修改昵称
function myinfo(data){
	return request({
		url: '/api/vip/myinfo',
		method: 'get',
		data
	})
}

//认证信息
function rzIndex(data){
	return request({
		url: '/api/vip/index',
		method: 'get',
		data
	})
}

//获取验证码
function getAuthSmsCode(data){
	return request({
		url: '/api/sms/getAuthSmsCode',
		method: 'post',
		data
	})
}

//提交认证
function auth(data){
	return request({
		url: '/api/vip/auth',
		method: 'post',
		data
	})
}

//修改支付密码 获取验证码
function getPayPwdCode(data){
	return request({
		url: '/api/sms/getPayPwdCode',
		method: 'post',
		data
	})
}

//确认修改密码
function pay_password_reset(data){
	return request({
		url: '/api/vip/pay_password_reset',
		method: 'post',
		data
	})
}

//上传头像
function addheadimg(data,files){
	return request({
		url: '/api/vip/addheadimg',
		method: 'post',
		data,
		// header: {
		// 	'Content-Type': 'multipart/form-data',
		// },
	})
}
//绑定微信
function bindwx(data,files){
	return request({
		url: '/api/wxlogin/bindwx',
		method: 'post',
		data
	})
}
//认购记录详情
function orderDetail(data){
	return request({
		url: '/api/Buy/orderDetail',
		method: 'post',
		data,
	})
}

//认购记录详情
function contract_info(data){
	return request({
		url: '/api/Vip/contract_info',
		method: 'get',
		data,
	})
}
//保单合同详情
function policy(data){
	return request({
		url: '/api/Ajax/financeInsuranceDetail',
		method: 'get',
		data,
	})
}

// 分销政策
function Fxabout(data){
	return request({
		url: '/api/Fx/about',
		method: 'get',
		data,
	})
}
// 我的推广
function tjlog(data){
	return request({
		url: '/api/Fx/tjlog',
		method: 'get',
		data,
	})
}
// 已收佣金
function fxlog(data){
	return request({
		url: '/api/Fx/fxlog',
		method: 'get',
		data,
	})
}

//取消认养订单

function cancelOrder(data){
	return request({
		url: '/api/Buy/cancelOrder',
		method: 'get',
		data,
	})
}
//认养订单退款
function finaceTuikuan(data){
	return request({
		url: '/api/ajax/finaceTuikuan',
		method: 'post',
		data,
	})
}


//常见问题列表
function aboutquestion(data){
	return request({
		url: '/api/article/aboutquestion',
		method: 'post',
		data
	})
}
//农场入驻申请
function farm_apply(data){
	return request({
		url: '/api/farm/farm_apply',
		method: 'post',
		data
	})
}
//农场入驻申请状态
function apply_status(data){
	return request({
		url: '/api/farm/apply_status',
		method: 'post',
		data
	})
}
// 店铺列表
function farm_list(data){
	return request({
		url: '/api/farm/farm_list',
		method: 'post',
		data
	})
}
// 店铺详情
function farm_item(data){
	return request({
		url: '/api/farm/farm_item',
		method: 'post',
		data
	})
}
// 直播间列表
function room_list(data){
	return request({
		url: '/api/wxlive/room_list',
		method: 'post',
		data
	})
}
// 直播间详情
function roominfo(data){
	return request({
		url: '/api/wxlive/roominfo',
		method: 'post',
		data
	})
}
// 直播轮播
function roomimgs(data){
	return request({
		url: '/api/wxlive/roomimgs',
		method: 'post',
		data
	})
}
// 土地巡检
function inspection(data){
	return request({
		url: '/api/soil/inspection',
		method: 'post',
		data
	})
}

// 土地巡检提交
function goinspection(data){
	return request({
		url: '/api/soil/goinspection',
		method: 'post',
		data
	})
}

// 认养管理
function financeoperator(data){
	return request({
		url: '/api/buy/financeoperator',
		method: 'post',
		data
	})
}
// 认养管理
function finantype(data){
	return request({
		url: '/api/buy/finantype',
		method: 'post',
		data
	})
}

// 认养管理提交
function getfinance(data){
	return request({
		url: '/api/buy/getfinance',
		method: 'post',
		data
	})
}
// 认养日志
function operatorlog(data){
	return request({
		url: '/api/buy/operatorlog',
		method: 'post',
		data
	})
}
// 配送信息
function financedelivery(data){
	return request({
		url: '/api/buy/financedelivery',
		method: 'post',
		data
	})
}
// 认样排行
function financeranking(data){
	return request({
		url: '/api/buy/financeranking',
		method: 'post',
		data
	})
}

// 店铺管理
function storemanagement(data){
	return request({
		url: '/api/merchant/storemanagement',
		method: 'post',
		data
	})
}
// 修改密码
function reset_pwd(data){
	return request({
		url: '/api/merchant/reset_pwd',
		method: 'post',
		data
	})
}
// 店铺提交
function getmanagement(data){
	return request({
		url: '/api/merchant/getmanagement',
		method: 'post',
		data
	})
}
// 商品管理
function shopmanagement(data){
	return request({
		url: '/api/merchant/shopmanagement',
		method: 'post',
		data
	})
}
// 商品分类
function getcatelist(data){
	return request({
		url: '/api/merchant/getcatelist',
		method: 'post',
		data
	})
}
// 添加商品
function addgoods(data){
	return request({
		url: '/api/merchant/addgoods',
		method: 'post',
		data
	})
}

// 上架
function upshop(data){
	return request({
		url: '/api/merchant/upshop',
		method: 'post',
		data
	})
}

// 下架
function downshop(data){
	return request({
		url: '/api/merchant/downshop',
		method: 'post',
		data
	})
}

// 编辑
function editshop(data){
	return request({
		url: '/api/merchant/editshop',
		method: 'post',
		data
	})
}
// 编辑
function goodinfo(data){
	return request({
		url: '/api/merchant/goodinfo',
		method: 'post',
		data
	})
}


// 上传图片（非富文本）
function upshopimg(data){
	return request({
		url: '/api/merchant/upshopimg',
		method: 'post',
		data
	})
}
function teamindex(data) {
	return request({
		url: '/api/buy/teamindex',
		method: 'post',
		data
	})
}

// 上传图片（富文本）
function uprichimg(data){
	return request({
		url: '/api/merchant/uprichimg',
		method: 'post',
		data
	})
}
//  
function farmshoplist(data){
	return request({
		url: '/api/farm/farmshoplist',
		method: 'post',
		data
	})
}

function farm_item2(data){
	return request({
		url: '/api/farm/farm_item2',
		method: 'post',
		data
	})
}

function farm_item3(data){
	return request({
		url: '/api/farm/farm_item3',
		method: 'post',
		data
	})
}

export default {
	roomimgs,
	roominfo,
	room_list,
	bindwx,
	finaceTuikuan,
	farm_item,
	apply_status,
	farm_list,
	farm_apply,
	newsList,
	msgRead,
	buyOrderList,
	myprize,
	contract,
	insurance,
	bindtxinfo,
	mycard,
	about,
	articledetail,
	fxindex,
	myuser,
	myqrcode,
	vipIndex,
	vipinfo,
	myinfo,
	rzIndex,
	getAuthSmsCode,
	auth,
	getPayPwdCode,
	pay_password_reset,
	addheadimg,
	orderDetail,
	payinfo,
	contract_info,
	policy,
	Fxabout,
	tjlog,
	fxlog,
	cancelOrder,
	aboutquestion,
	inspection,
	goinspection,
	financeoperator,
	finantype,
	getfinance,
	operatorlog,
	financedelivery,
	financeranking,
	storemanagement,
	reset_pwd,
	getmanagement,
	shopmanagement,
	getcatelist,
	addgoods,
	upshop,
	downshop,
	editshop,
	goodinfo,
	upshopimg,
	uprichimg,
	teamindex,
	farmshoplist,
	farm_item2,
	farm_item3
}